Get transaction
curl --request GET \
--url https://api.getlemma.com/v0/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"id": "transaction_Wp5mRx3nKv8bTh2d",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -325000,
"occurred_at": "2026-03-12T16:45:00Z",
"source": {
"category": "ach_transfer_intention"
},
"counterparty": {
"type": "external_account",
"external_account": {
"id": "external_account_Bx5nTm8hKw3pVd7c"
}
}
}
Transactions
Get transaction
Retrieve a single transaction by its ID.
GET
/
v0
/
transactions
/
{transaction_id}
Get transaction
curl --request GET \
--url https://api.getlemma.com/v0/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"id": "transaction_Wp5mRx3nKv8bTh2d",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -325000,
"occurred_at": "2026-03-12T16:45:00Z",
"source": {
"category": "ach_transfer_intention"
},
"counterparty": {
"type": "external_account",
"external_account": {
"id": "external_account_Bx5nTm8hKw3pVd7c"
}
}
}
Returns a single transaction object.
Path parameters
The unique identifier of the transaction to retrieve.
Response
Unique identifier for the transaction.
The ID of the bank account this transaction belongs to.
The transaction amount in cents. Positive for credits (money in), negative for
debits (money out).
Information about the origin of the transaction.
Show Source object
Show Source object
The type of transaction source. We will add additional values for this
enum over time; your application should be able to handle such additions
gracefully. Not every transaction source will have additional details.
Show ACH Transfer Intention object
Show ACH Transfer Intention object
The statement descriptor for this ACH transfer.
Show Check Deposit Return object
Show Check Deposit Return object
The reason the check deposit was returned.
Show Inbound ACH Transfer object
Show Inbound ACH Transfer object
The ACH trace number.
The name of the originating company.
The ID of the originating company.
The entry description set by the originator.
The descriptive date set by the originator.
Discretionary data set by the originator.
Show Inbound Check Adjustment object
Show Inbound Check Adjustment object
The reason for the check adjustment.
Show Inbound Wire Transfer object
Show Inbound Wire Transfer object
The Fedwire input message accountability data (IMAD).
The name of the sender.
The sender’s address.
The name of the creditor.
Free-form remittance information.
The end-to-end ID.
The unique end-to-end transaction reference (UETR).
A deposit bonus credited by Lemma.
A fee charged by Lemma.
A loan draw from or a payment toward a Lemma loan.
Show Real-Time Payments Transfer Acknowledgement object
Show Real-Time Payments Transfer Acknowledgement object
Free-form remittance information.
The other party in the transaction, if known.
Show Counterparty object
Show Counterparty object
The kind of account the counterparty is. One of
bank_account,
external_account, or fixed_fee_loan.Show Bank account object
Show Bank account object
The Lemma bank account ID of the other account in the transfer.
Show External account object
Show External account object
The saved recipient ID the money
was sent to.
{
"id": "transaction_Wp5mRx3nKv8bTh2d",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -325000,
"occurred_at": "2026-03-12T16:45:00Z",
"source": {
"category": "ach_transfer_intention"
},
"counterparty": {
"type": "external_account",
"external_account": {
"id": "external_account_Bx5nTm8hKw3pVd7c"
}
}
}
⌘I